pilot-install-memo(1)

NAME
pilot-install-memo - Installs a new Memo Pad entry onto your Palm handheld.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-memo [-p|--port <port>] [--version] [-q|--quiet] [-?|--help] [--usage] [-c|--category name] [-r|--replace] [-t|--title] [-f|--file STRING ...]

DESCRIPTION

 pilot-install-memo allows the user to write one or more files as a new memo or memos, respectively, onto the Palm handheld.

OPTIONS

  pilot-install-memo options
                        -c,
                        --category category

Install memo(s) to category defined by category. pilot-install-memo uses the Unfiled category as the default category if no category is chosen or if the specified category does not already exist on the Palm.
                        -f,
                        --file STRING

File containing the target memo entry. Append other filenames to install one memo per file.
                        -r, --replace

Replace all memos in the category specified by the -c category option.
                        -t --title

Use the filename as the title for the memo. (Normally, the first line of a memo is used as the title if one is not supplied with the -t option).

  Conduit Options
                        -p, --portport

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-memo will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-install-memo will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-install-memo and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-install-memo and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to the Palm handheld, and create memo entries for each file(s) given on the commandline into the Memo Pad application on the Palm.

AUTHOR

 pilot-install-memo was originally written by Damien P. Neil <neild@rpi.edu>.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

BUGS

  Known Bugs

The Palm Device has a maximum length of 4,096 bytes (4k) on memopad entries, if you wish to retain the ability to edit the Memo (add/remove/change data within the memo) on the Palm itself. You can create a memo entry of 65,490 bytes in size (the absolute maximum) if you do not need to edit the memo entry any further on the Palm device itself. Any memo larger than 4,096 bytes and less than 65,490 bytes will not be editable on the Palm itself. Consider these memo entries "read-only".

This is not specifically a "bug", but a limitation in the PalmOS design itself.

  Reporting Bugs

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 memos(1), pilot-link(7).